> ## Documentation Index
> Fetch the complete documentation index at: https://docs.open-aspm.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Severity



## OpenAPI

````yaml api-reference/openapi.json patch /incident/{incident_id}/severity
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://example.com/api
    description: Replace example.com with your app server
security: []
paths:
  /incident/{incident_id}/severity:
    patch:
      tags:
        - Incidents
      summary: Update Severity
      operationId: update_status_incident__incident_id__severity_patch
      parameters:
        - name: incident_id
          in: path
          required: true
          schema:
            type: integer
            title: Incident Id
        - name: severity
          in: query
          required: true
          schema:
            $ref: '#/components/schemas/SeverityLevel'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    SeverityLevel:
      type: string
      enum:
        - critical
        - high
        - medium
        - low
        - informational
        - unknown
      title: SeverityLevel
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````